﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.Content;

namespace P11_1
{
    /// <summary>
    /// This is a game component that implements IUpdateable.
    /// </summary>
    public class gBaseClass : Microsoft.Xna.Framework.DrawableGameComponent
    {
        Texture2D sprTexture;
        public Vector2 sprPosition;
        public Rectangle sprRectangle;
        public gBaseClass(Game game, ref Texture2D _sprTexture,
            Vector2 _sprPosition, Rectangle _sprRectangle, int X_Coord, int Y_Coord)
            : base(game)
        {
            sprTexture = _sprTexture;
            //Здесь производится перевод индекса элемента массива
            //в координаты на игровом экране
            //Так как спрайты имеют различные размеры, для их размещения на экране
            //используются коэффициенты X_Coord и Y_Coord
            sprPosition.X = _sprPosition.X * X_Coord;
            sprPosition.Y = _sprPosition.Y * Y_Coord;
            sprRectangle = _sprRectangle;
        }
        public override void Draw(GameTime gameTime)
        {
            SpriteBatch sprBatch =
                (SpriteBatch)Game.Services.GetService(typeof(SpriteBatch));
            sprBatch.Draw(sprTexture, sprPosition, Color.White);
            base.Draw(gameTime);
        }
    }
}